org.apache.ignite.internal.processors.datastructures

## Enum DataStructureType

- java.lang.Object
- - java.lang.Enum<DataStructureType>
  - - org.apache.ignite.internal.processors.datastructures.DataStructureType

All Implemented Interfaces:
  Serializable, Comparable<DataStructureType>

    public enum DataStructureType
    extends Enum<DataStructureType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ATOMIC_LONG`
`ATOMIC_REF`
`ATOMIC_SEQ`
`ATOMIC_STAMPED`
`COUNT_DOWN_LATCH`
`QUEUE`
`REENTRANT_LOCK`
`SEMAPHORE`
`SET`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `className()`
`static DataStructureType` `fromOrdinal(int ord)`
`boolean` `isCollection()`
`boolean` `isVolatile()`
`static DataStructureType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static DataStructureType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ATOMIC_LONG

    public static final DataStructureType ATOMIC_LONG

#### ATOMIC_REF

    public static final DataStructureType ATOMIC_REF

#### ATOMIC_SEQ

    public static final DataStructureType ATOMIC_SEQ

#### ATOMIC_STAMPED

    public static final DataStructureType ATOMIC_STAMPED

#### COUNT_DOWN_LATCH

    public static final DataStructureType COUNT_DOWN_LATCH

#### QUEUE

    public static final DataStructureType QUEUE

#### SET

    public static final DataStructureType SET

#### SEMAPHORE

    public static final DataStructureType SEMAPHORE

#### REENTRANT_LOCK

    public static final DataStructureType REENTRANT_LOCK

### Method Detail

#### values

    public static DataStructureType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (DataStructureType c : DataStructureType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static DataStructureType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### className

    public String className()

Returns:
  Data structure public class name.

#### isVolatile

    public boolean isVolatile()

Returns:
  `True` if this data structure type is volatile.

#### isCollection

    public boolean isCollection()

Returns:
  `True` if this data structure type is collection.

#### fromOrdinal

    @Nullable
    public static DataStructureType fromOrdinal(int ord)

Parameters:
  `ord` - Ordinal value.
Returns:
  Enumerated value or `null` if ordinal out of range.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019